Package org.drinkless.tdlib

# Class TdApi.ProcessChatJoinRequests

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Ok>
org.drinkless.tdlib.TdApi.ProcessChatJoinRequests

Enclosing class:
  `TdApi`

public static class TdApi.ProcessChatJoinRequests extends TdApi.Function<TdApi.Ok>
Handles all pending join requests for a given link in a chat.

Returns `Ok`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `boolean`
  `approve`
  Pass true to approve all requests; pass false to decline them.
  `long`
  `chatId`
  Chat identifier.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `inviteLink`
  Invite link for which to process join requests.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProcessChatJoinRequests()`
  Default constructor for a function, which handles all pending join requests for a given link in a chat.
  `ProcessChatJoinRequests(long chatId, String inviteLink, boolean approve)`
  Creates a function, which handles all pending join requests for a given link in a chat.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### chatId

    public long chatId
    Chat identifier.

  - ### inviteLink

    public String inviteLink
    Invite link for which to process join requests. If empty, all join requests will be processed. Requires administrator privileges and canInviteUsers right in the chat for own links and owner privileges for other links.

  - ### approve

    public boolean approve
    Pass true to approve all requests; pass false to decline them.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ProcessChatJoinRequests

    public ProcessChatJoinRequests()
    Default constructor for a function, which handles all pending join requests for a given link in a chat.

    Returns `Ok`

  - ### ProcessChatJoinRequests

    public ProcessChatJoinRequests(long chatId, String inviteLink, boolean approve)
    Creates a function, which handles all pending join requests for a given link in a chat.

    Returns `Ok`

    Parameters:
      `chatId` - Chat identifier.
      `inviteLink` - Invite link for which to process join requests. If empty, all join requests will be processed. Requires administrator privileges and canInviteUsers right in the chat for own links and owner privileges for other links.
      `approve` - Pass true to approve all requests; pass false to decline them.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Ok>`
    Returns:
      this.CONSTRUCTOR